package lab2;

import java.sql.*;

public class EntradaSistemaDB implements InterfaceLogicaNegocio {
  PreparedStatement s;
  Connection c;
  
  public EntradaSistemaDB()   {
    try {
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
      c =  DriverManager.getConnection("jdbc:odbc:BDPasswLabLog3N"); 
      s = c.prepareStatement("select * from cuenta where usuario=? and password=?");
   } catch (ClassNotFoundException e) { System.out.println("Clase no encontrada");  
   } catch (Exception ex) {  ex.printStackTrace(); }   
    
  }
  public boolean hacerLogin(String u, String p) {
   try {
      s.setString(1,u);
      s.setString(2,p);
      ResultSet r=s.executeQuery();
      return r.next(); 
   } catch (SQLException e) {System.out.println("Error en el SQL: "+e.toString()); return false;
   } catch (Exception ex) {System.out.println("Error: "); ex.printStackTrace(); return false;}
  }
  public void cerrarConexion()  {
    try   {
        c.close();
    } catch (SQLException e)   {    e.printStackTrace();  
    } catch (Exception ex)   {    ex.printStackTrace();  }
  }
}
